List TransactionTypes - m3ter Documentation
List TransactionTypes
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
{
"data": [
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string (header, required)
- m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow.
- m3ter supports machine to machine authentication using the
Path Parameters
- orgId: string (required)
- The unique identifier (UUID) of your Organization, representing your company as a direct customer of our service.
Query Parameters
pageSize: integer
- Specifies the maximum number of TransactionTypes to retrieve per page. Required range:
1 <= x <= 100
- Specifies the maximum number of TransactionTypes to retrieve per page. Required range:
nextToken: string
- The
nextTokenfor multi-page retrievals. Used to fetch the next page of TransactionTypes.
- The
ids: string[]
- A list of TransactionType unique identifiers (UUIDs).
codes: string[]
- A list of TransactionType short codes.
archived: boolean
- Filter to include/exclude archived TransactionTypes. (TRUE: include; FALSE: exclude)
Response
200 application/json
- Returns a list of TransactionTypes
{
"data": [{...}],
"nextToken": "<string>"
}